package structs

import "time"

type SendQueueMessage struct {
	MessageRaw   []byte
	CmdID        int
	TrySendCount int
	OriginDest   int // This value tells from which destination this message was sent. (example: voice, mobile, backend)
	OriginCmdID  int
	Time         time.Time
}

type ReceivedQueueMessage struct {
	MessageRaw  []byte
	OriginDest  int
	OriginCmdID int
}
